%global site_name org.apache.felix.bundlerepository
%global grp_name  felix

Name:             felix-bundlerepository
Version:          1.6.6
Release:          3%{?dist}
Summary:          Bundle repository service
License:          ASL 2.0 and BSD
Group:            Development/Libraries
URL:              http://felix.apache.org/site/apache-felix-osgi-bundle-repository.html

Source0:          http://www.fightrice.com/mirrors/apache/felix/org.apache.felix.bundlerepository-%{version}-source-release.tar.gz

BuildArch:        noarch

BuildRequires:    woodstox-core
BuildRequires:    felix-shell
BuildRequires:    felix-utils
BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    jpackage-utils

Requires:         woodstox-core
Requires:         felix-shell
Requires:         felix-utils
Requires:         jpackage-utils
Requires:         java


%description
Bundle repository service

%package javadoc
Summary:          API documentation for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{site_name}-%{version}

%build
mvn-rpmbuild install javadoc:aggregate

%install
# jars
install -Dpm 644 target/%{site_name}-%{version}.jar %{buildroot}%{_javadir}/%{grp_name}/%{name}.jar

# pom
install -Dpm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{grp_name}-%{name}.pom

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%add_maven_depmap JPP.%{grp_name}-%{name}.pom %{grp_name}/%{name}.jar

%files
%doc LICENSE LICENSE.kxml2 NOTICE DEPENDENCIES
%{_javadir}/%{grp_name}/%{name}.jar
%{_mavenpomdir}/JPP.%{grp_name}-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc LICENSE LICENSE.kxml2
%doc %{_javadocdir}/%{name}

%changelog
* Wed Oct 12 2011 Jaromir Capik <jcapik@redhat.com> - 1.6.6-3
- osgi.org groupId patch removed (fixed in felix-osgi-* packages)

* Thu Oct 06 2011 Jaromir Capik <jcapik@redhat.com> - 1.6.6-2
- Depmap removed (not needed anymore)
- woodstox-core-asl renamed to woodstox-core

* Tue Sep 14 2011 Jaromir Capik <jcapik@redhat.com> - 1.6.6-1
- Initial packaging
